/**
 * JOnAS : Java(TM) Open Application Server
 * Copyright (C) 2005 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: FullEmitter.java,v 1.1 2005/01/11 14:36:49 sauthieg Exp $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jonas_ws.wsgen.generator.ews.wsdltoj2ee.emitter;

import org.objectweb.jonas_ws.wsgen.generator.ews.wsdltoj2ee.JOnASJ2EEWebServicesContext;

/**
 * Allows to define more options like classloader.
 * @author Florent Benoit
 */
public class FullEmitter extends org.apache.geronimo.ews.jaxrpcmapping.J2eeEmitter implements JOnASWSEmitter {

    /**
     * Classloader to use
     */
    private ClassLoader classLoader = null;

    private boolean bindingGeneration = true;

    private boolean serviceGeneration = true;

    private boolean deployGeneration = true;

    /**
     * @return the classLoader.
     */
    public ClassLoader getClassLoader() {
        return classLoader;
    }

    /**
     * Set the classloader to use
     * @param classLoader The classLoader to set.
     */
    public void setClassLoader(ClassLoader classLoader) {
        this.classLoader = classLoader;
    }

    /**
     * @see org.objectweb.jonas_ws.wsgen.generator.ews.wsdltoj2ee.emitter.JOnASWSEmitter#getJOnASWsContext()
     */
    public JOnASJ2EEWebServicesContext getJOnASWsContext() {
        return (JOnASJ2EEWebServicesContext) getWscontext();
    }

    /**
     * @see org.objectweb.jonas_ws.wsgen.generator.ews.wsdltoj2ee.emitter.JOnASWSEmitter#setJOnASWsContext(org.objectweb.jonas_ws.wsgen.generator.ews.wsdltoj2ee.JOnASJ2EEWebServicesContext)
     */
    public void setJOnASWsContext(JOnASJ2EEWebServicesContext context) {
        setWscontext(context);
    }

    public boolean hasBindingGeneration() {
        return bindingGeneration;
    }

    public boolean hasServiceGeneration() {
        return serviceGeneration;
    }

    public boolean hasDeployGeneration() {
        return deployGeneration;
    }

    public void setBindingGeneration(boolean bg) {
        bindingGeneration = bg;
    }

    public void setServiceGeneration(boolean sg) {
        serviceGeneration = sg;
    }

    public void setDeployGeneration(boolean dg) {
        deployGeneration = dg;
    }
}